# $Revision: 1.49 $, $Date: 2004/01/29 14:12:46 $
%define	LIBPLOT_VERSION 4.0
%define	LIBXMI_VERSION 1.2

Summary:	GNU Plotutils -- plotting utilities
Summary(pl):	Narzdzia do wykresw
Name:		plotutils
Version:	2.4.1
Release:	8
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	8da2cc2ed5a837cad0753c7843ef18ee
Patch0:		%{name}-info.patch
Patch1:		%{name}-c++.patch
URL:		http://www.gnu.org/software/plotutils/plotutils.html
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	texinfo
Requires:	libplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The GNU plotting utilities include: (1) GNU libplot, a shared library
for exporting 2-D vector graphics files and for performing vector
graphics animation under the X Window System. Its output file formats
include pseudo-GIF, PNM, Adobe Illustrator, Postscript (editable with
the free 'idraw' drawing editor), Fig (editable with the free g'
drawing editor), PCL 5, HP-GL and HP-GL/2, Tektronix, and GNU metafile
format. Many Postscript, PCL, and Hershey fonts are supported. A
separate class library, 'libplotter', provides a C++ binding to
libplot's functionality. (2) Sample command-line applications 'graph',
'plot', 'tek2plot', 'pic2plot', and 'plotfont', which are built on top
of GNU libplot. 'graph' is a powerful utility for XY plotting, 'plot'
translates GNU metafiles to other formats, 'tek2plot' translates
legacy Tektronix data, 'pic2plot' translates box-and-arrow diagrams in
the pic language, and 'plotfont' plots character maps. (3)
Command-line applications 'spline', 'double', and 'ode', which are
useful in scientific plotting. 'spline' does spline interpolation of
input data of arbitrary dimensionality. It uses cubic splines, splines
under tension, or cubic Bessel interpolation. 'ode' is an interactive
program that can integrate a user-specified system of ordinary
differential equations.

%description -l pl
GNU Plotutils to pakiet zawierajcy narzdzia do tworzenia wykresw.
Skada si z biblioteki GNU libplot, przykadowych programw
dziaajcych z linii polece oraz aplikacji. GNU libplot to biblioteka
do tworzenia plikw z grafik wektorow 2D i odtwarzania animowanej
grafiki wektorowej w rodowisku X Window System. libplot potrafi
zapisywa w formatach m.in. GIF, PNM, Adobe Illustrator, Postscript,
Fig, PCL 5, HP-GL i GP-GL/2, Tektronix i GNU metafile. Obsuguje wiele
fontw Postscriptowych, PCL i Hershey. Oddzielna biblioteka libplotter
daje interfejs C++ do funkcji libplot. Programy przykadowe to graph,
plot, tek2plot, pic2plot i plotfont; pierwszy suy do rysowania, trzy
kolejne do konwersji midzy rnymi formatami, ostatni do wywietlania
fontw. Aplikacje zawarte w pakiecie plotutils to spline, double oraz
ode, przydatne do rysunkw naukowych. spline tworzy interpolacj
splajnami dostarczonych danych o dowolnej liczbie wymiarw. ode jest
interaktywnym programem do rozwizywania ukadw rwna rniczkowych.

%package -n libplot
Summary:	libplot plotting library - from plotutils package
Summary(pl):	libplot -- Biblioteka do krelenia z pakietu plotutils
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries

%description -n libplot
GNU libplot: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%description -n libplot -l pl
GNU libplot: biblioteka do tworzenia dwuwymiarowej grafiki wektorowej
lub wywietlania animowanych obrazw wektorowych pod X Window.

%package -n libplot-devel
Summary:	libplot header files
Summary(pl):	Pliki nagwkowe dla libplot
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplot = %{LIBPLOT_VERSION}
Requires:	XFree86-devel
Requires:	libpng-devel

%description -n libplot-devel
libplot header files.

%description -n libplot-devel -l pl
Pliki nagwkowe dla libplot.

%package -n libplot-static
Summary:	libplot static library
Summary(pl):	Biblioteka statyczna libplot
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplot-devel = %{LIBPLOT_VERSION}

%description -n libplot-static
libplot static library.

%description -n libplot-static -l pl
Biblioteka statyczna libplot.

%package -n libplotter
Summary:	libplotter plotting library - from plotutils package
Summary(pl):	libplotter - biblioteka do krelenia z pakietu plotutils
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries

%description -n libplotter
GNU libplotter: a function library for exporting two-dimensional
vector graphics files, and for displaying animated vector.

%description -n libplotter -l pl
GNU libplotter: biblioteka do tworzenia dwuwymiarowej grafiki
wektorowej lub wywietlania animowanych obrazw wektorowych pod X
Window.

%package -n libplotter-devel
Summary:	libplotter header files
Summary(pl):	Pliki nagwkowe dla libplotter
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplotter = %{LIBPLOT_VERSION}
Requires:	XFree86-devel
Requires:	libpng-devel
Requires:	libstdc++-devel

%description -n libplotter-devel
libplotter header files.

%description -n libplotter-devel -l pl
Pliki nagwkowe dla libplotter.

%package -n libplotter-static
Summary:	libplotter static library
Summary(pl):	Biblioteka statyczna libplotter
Version:	%{LIBPLOT_VERSION}
Group:		Development/Libraries
Requires:	libplotter-devel = %{LIBPLOT_VERSION}

%description -n libplotter-static
libplotter static library.

%description -n libplotter-static -l pl
Biblioteka statyczna libplotter.

%package -n libxmi
Summary:	libxmi library - from plotutils package
Summary(pl):	libxmi - biblioteka z pakietu plotutils
Version:	%{LIBXMI_VERSION}
Group:		Development/Libraries

%description -n libxmi
GNU libxmi: a function library for exporting two-dimensional vector
graphics files, and for displaying animated vector.

%description -n libxmi -l pl
GNU libxmi: biblioteka do tworzenia dwuwymiarowej grafiki wektorowej
lub wywietlania animowanych obrazw wektorowych pod X Window.

%package -n libxmi-devel
Summary:	libxmi header files
Summary(pl):	Pliki nagwkowe dla libxmi
Version:	%{LIBXMI_VERSION}
Group:		Development/Libraries
Requires:	libxmi = %{LIBXMI_VERSION}

%description -n libxmi-devel
libxmi header files.

%description -n libxmi-devel -l pl
Pliki nagwkowe dla libxmi.

%package -n libxmi-static
Summary:	Libxmi static library
Summary(pl):	Biblioteka statyczna libxmi
Version:	%{LIBXMI_VERSION}
Group:		Development/Libraries
Requires:	libxmi-devel = %{LIBXMI_VERSION}

%description -n libxmi-static
libxmi static library.

%description -n libxmi-static -l pl
Biblioteka statyczna libxmi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--enable-libplotter \
	--enable-libxmi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/libplot-%{LIBPLOT_VERSION},%{_fontsdir}/misc}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/h-demo.c $RPM_BUILD_ROOT%{_examplesdir}/libplot-%{LIBPLOT_VERSION}
install fonts/pcf/*.pcf $RPM_BUILD_ROOT%{_fontsdir}/misc

gzip -9nf $RPM_BUILD_ROOT%{_fontsdir}/misc/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post -n libxmi-devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun -n libxmi-devel
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%post   -n libplot
/sbin/ldconfig
[ ! -x /usr/X11R6/bin/mkfontdir ] || /usr/X11R6/bin/mkfontdir %{_fontsdir}/misc

%postun -n libplot
/sbin/ldconfig
[ ! -x /usr/X11R6/bin/mkfontdir ] || /usr/X11R6/bin/mkfontdir %{_fontsdir}/misc

%post   -n libplotter -p /sbin/ldconfig
%postun -n libplotter -p /sbin/ldconfig

%post   -n libxmi -p /sbin/ldconfig
%postun -n libxmi -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COMPAT KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_infodir}/plotutils.info*
%{_mandir}/man1/*
%{_datadir}/ode
%{_datadir}/pic2plot
%{_datadir}/tek2plot

%files -n libplot
%defattr(644,root,root,755)
%doc doc/{demo-page,*.doc,*.txt,*.bib}
%doc libplot/{DEDICATION,HUMOR,README*,VERSION}
%attr(755,root,root) %{_libdir}/libplot.so.*.*
%{_fontsdir}/misc/*

%files -n libplot-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplot.so
%{_libdir}/libplot.la
%{_examplesdir}/libplot-%{LIBPLOT_VERSION}
%{_includedir}/plot.h
%{_includedir}/plotcompat.h

%files -n libplot-static
%defattr(644,root,root,755)
%{_libdir}/libplot.a

%files -n libplotter
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplotter.so.*.*

%files -n libplotter-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libplotter.so
%{_libdir}/libplotter.la
%{_includedir}/plotter.h

%files -n libplotter-static
%defattr(644,root,root,755)
%{_libdir}/libplotter.a

%files -n libxmi
%defattr(644,root,root,755)
%doc libxmi/{AUTHORS,NEWS,README*,TODO,VERSION}
%attr(755,root,root) %{_libdir}/libxmi.so.*.*

%files -n libxmi-devel
%defattr(644,root,root,755)
%{_infodir}/libxmi.info*
%attr(755,root,root) %{_libdir}/libxmi.so
%{_libdir}/libxmi.la
%{_includedir}/xmi.h

%files -n libxmi-static
%defattr(644,root,root,755)
%{_libdir}/libxmi.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: plotutils.spec,v $
Revision 1.49  2004/01/29 14:12:46  jajcus
- Release: 8

Revision 1.48  2003/12/05 10:59:35  qboosh
- added -devel deps, -static descr cleanups

Revision 1.47  2003/11/24 12:50:33  averne
- release 7

Revision 1.46  2003/05/27 11:40:18  trojan
- added Source-md5

Revision 1.45  2003/05/25 06:25:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.43  2002/10/13 10:54:33  qboosh
- new %%doc, release 6

Revision 1.42  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.40  2002/05/21 23:14:31  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/04/27 22:31:42  qboosh
- completed pl description, fixed 'ode' name in en description
- libpng 1.2.2 support
- release 5

Revision 1.38  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/02/02 20:35:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.34  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/11/26 20:57:14  qrczak
- plotutils-c++.patch: cast unsigned char * to char * when calling
  iostream::write to let it compile under more standard-compliant C++
  compilers like gcc-3.x.
- Release 4.

Revision 1.32  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.30  2001/07/17 14:29:04  kloczek
- release 3: regenerate ac/am/lt files for make spec ac 2.50 ready.

Revision 1.29  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.28  2001/02/14 03:56:33  kloczek
- release 2,
- added info patch with info index entries for plotutils and libxmi entries
  fixes,
- added "-fno-rtti -fno-exceptions" to C++ optimization flags.

Revision 1.27  2001/02/14 01:36:49  qboosh
- BuildRequires: flex, libpng-devel, XFree86-devel
- more docs

Revision 1.26  2001/02/13 19:38:19  kloczek
- make missig directory $RPM_BUILD_ROOT/usr/share/fonts/misc.

Revision 1.25  2001/02/13 16:25:03  kloczek
- another typo.

Revision 1.24  2001/02/13 16:02:30  kloczek
- typo in %install.

Revision 1.23  2001/02/13 14:31:31  kloczek
- call /sbin/ldconfig as -p parameter in %post/%postun scripts,
- new %description (borowed from RH).

Revision 1.22  2001/02/12 12:43:22  qboosh
- added full URL to Source0
- 2.4.1 (not tested yet)

Revision 1.21  2000/11/29 07:34:37  jajcus
- updated to version 2.4
- "plotutils-libplot*" subpackages changed to just "libplot*" (they have other
  version numbering anyway)
- libplotter and libxmi subpackages added
- tektronik fonts added to libplot package
- some updates for new rpm automation

Revision 1.20  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:23:47  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.17  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.16  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.15  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:04  baggins
- translated kloczkish into english

Revision 1.13  1999/09/24 10:45:03  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.12  1999/09/19 10:21:03  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir

Revision 1.11  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.10  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 15 1999 Rafa Kleger-Rudomin <klakier@pg.gda.pl>
- Added plotutils-libplot, -devel, -static
* Fri May 14 1999 Rafa Kleger-Rudomin <klakier@pg.gda.pl>
- Initial version for PLD.
